<template>
	<view class="content">
		<view class="content-money">
			<view class="body-title">
				<view class="goback-box" @click="toBack"><image class="goback" src="../../static/icon/fanhui.png" mode=""></image></view>
				<view class="header">我的推广</view>
			</view>
			<view class="content-bg"><image src="../../static/img/myLq.png" mode=""></image></view>
			<view class="money-box">
				<view class="money">{{ total }}</view>
				<view>我的推广人数</view>
			</view>
		</view>
		<swiper :current="tabCurrentIndex" :style="{ height: maxheight }" class="swiper-box" duration="300" @change="changeTab" disable-touch>
			<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList" :key="tabIndex">
				<scroll-view class="list-scroll-content" scroll-y @scrolltolower="loadData">
					<!-- 空白页 -->
					<empty v-if="tabItem.loaded === true && tabItem.orderList.length === 0"></empty>

					<!-- 订单列表 -->
					<view v-for="(item, index) in tabItem.orderList" :key="index" class="order-item flex">
						<view class="title-box flex_item">
							<view class="title-avatar"><image :src="item.avatar"></image></view>
							<view class="list_tpl">
								<view class="title">
									<text>{{ item.nickname }}</text>
								</view>
								<view class="time">
									<text>{{ item.time }}</text>
								</view>
							</view>
						</view>
					</view>
					<uni-load-more :status="tabItem.loadingType"></uni-load-more>
				</scroll-view>
			</swiper-item>
		</swiper>
	</view>
</template>
<script>
import { myspread } from '@/api/user.js';
import { mapState, mapMutations } from 'vuex';
import uniLoadMore from '@/components/uni-load-more/uni-load-more.vue';
import empty from '@/components/empty';
export default {
	components: {
		empty,
		uniLoadMore
	},
	onReady(res) {
		var _this = this;
		uni.getSystemInfo({
			success: resu => {
				const query = uni.createSelectorQuery();
				query.select('.swiper-box').boundingClientRect();
				query.exec(function(res) {
					_this.maxheight = resu.windowHeight - res[0].top + 'px';
					console.log('打印页面的剩余高度', _this.maxheight);
				});
			},
			fail: res => {}
		});
	},
	data() {
		return {
			// 头部图高度
			maxheight: '',
			tabCurrentIndex: 0,
			navList: [
				{
					state: 0,
					text: '一级推广',
					loadingType: 'more',
					orderList: [],
					page: 1, //当前页数
					limit: 10 //每次信息条数
				}
			],
			all: '',
			list: '',
			total: '',
			totalLevel: '',
			userInfo: {}
		};
	},
	onLoad(options) {},
	onShow() {
		this.loadData();
	},
	methods: {
		// 页面跳转
		navto(e) {
			uni.navigateTo({
				url: e
			});
		},
		//获取推广人数信息
		async loadData(source) {
			//这里是将订单挂载到tab列表下
			let index = this.tabCurrentIndex;
			let navItem = this.navList[index];
			let state = navItem.state;
			if (source === 'tabChange' && navItem.loaded === true) {
				//tab切换只有第一次需要加载数据
				return;
			}
			if (navItem.loadingType === 'loading') {
				//防止重复加载
				return;
			}
			if (navItem.loadingType === 'noMore') {
				//防止重复加载
				return;
			}
			// 修改当前对象状态为加载中
			navItem.loadingType = 'loading';
			myspread({
				page: navItem.page,
				limit: navItem.limit
			})
				.then(({ data }) => {
					console.log(data);
					this.total = data.total;
					this.totalLevel = data.totalLevel;
					// this.all = this.total + this.totalLevel;
					if (data.list.length > 0) {
						this.list = data.list;
						navItem.orderList = navItem.orderList.concat(data.list);
						navItem.page++;
					}
					this.$nextTick(function() {
						if (navItem.limit == data.list.length) {
							//判断是否还有数据， 有改为 more， 没有改为noMore
							navItem.loadingType = 'more';
							return;
						} else {
							//判断是否还有数据， 有改为 more， 没有改为noMore
							navItem.loadingType = 'noMore';
						}
					});
					this.$set(navItem, 'loaded', true);
				})
				.catch(e => {
					console.log(e);
				});
		},
		//swiper 切换
		changeTab(e) {
			this.tabCurrentIndex = e.target.current;
			this.loadData('tabChange');
		},
		//顶部tab点击
		tabClick(index) {
			this.tabCurrentIndex = index;
		},
		// 点击返回 我的页面
		toBack() {
			uni.switchTab({
				url: '/pages/user/user'
			});
		},
		loadAll() {
			getUserInfo().then(res => {
				this.userInfo = res.data;
			});
		}
	}
};
</script>

<style lang="scss">
page {
	background: #ffffff;
	height: 100%;
}
.status_bar {
	height: var(--status-bar-height);
	width: 100%;
}
.content-money {
	position: relative;
	height: 480rpx;
	.content-bg {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		width: 750rpx;
		height: 480rpx;
		image {
			width: 100%;
			height: 100%;
		}
	}
	.body-title {
		height: 80rpx;
		text-align: center;
		font-size: 35rpx;
		position: relative;
		.header {
			position: absolute;
			left: 0;
			top: 0;
			width: 100%;
			font-size: 36rpx;
			font-family: PingFang SC;
			font-weight: bold;
			color: #fffeff;
			height: 80rpx;
			font-size: 36rpx;
			font-weight: 700;
			z-index: 9;
			display: flex;
			justify-content: center;
			align-items: center;
		}
		.goback-box {
			position: absolute;
			left: 18rpx;
			top: 0;
			height: 80rpx;
			display: flex;
			align-items: center;
		}

		.goback {
			z-index: 100;
			width: 34rpx;
			height: 34rpx;
		}
	}
}

.money-box {
	position: relative;
	z-index: 2;
	padding-top: 70rpx;
	color: #ffffff;
	text-align: center;
	.money {
		font-size: 72rpx;
		font-family: PingFang SC;
		font-weight: bold;
		color: #ffffff;
	}
	.text {
		font-size: 30rpx;
	}
}

// 列表

.swiper-box {
	// padding-top: 10rpx;
	.order-item {
		// margin-top: 20rpx;
		padding: 20rpx 30rpx;
		line-height: 1.5;
		.title-box {
			width: 100%;
			.title-avatar {
				width: 100rpx;
				height: 100rpx;
				margin-right: 25rpx;
				image {
					width: 100%;
					height: 100%;
					border-radius: 100%;
				}
			}
			.list_tpl {
				width: 85%;
				.title {
					font-size: $font-lg;
					color: $font-color-base;
					overflow: hidden; //超出的文本隐藏
					text-overflow: ellipsis; //溢出用省略号显示
					white-space: nowrap;
					justify-content: flex-start;
					image {
						margin-left: 9rpx;
						width: 147rpx;
						height: 32rpx;
					}
				}
				.time {
					margin-top: 15rpx;
					font-size: 22rpx;
					color: $font-color-light;
				}
			}
		}
		.money {
			color: #db1935;
			font-size: $font-lg;
		}
	}
}
.list-scroll-content {
	height: 100%;
}
.content {
	height: 100%;
	.empty-content {
		background-color: #ffffff;
	}
}
.tg-wrapper {
	width: 100%;
	background-color: #f7f7f7;

	padding: 20rpx 0;
	.tg-box {
		display: flex;
		justify-content: center;
		width: 690rpx;
		height: 143rpx;
		background-color: #fff;
		margin: 0 auto;
		align-items: center;
		.tg-item {
			width: 33%;
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;
			.tg-tit {
				font-size: 24rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #333333;
			}
			.tg-val {
				padding-top: 15rpx;
				font-size: 34rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #333333;
			}
		}
		.tg-jg {
			width: 1rpx;
			height: 51rpx;
			background: #dddddd;
		}
	}
}
</style>
